summaryrefslogtreecommitdiff
path: root/goremote
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2021-05-16 09:44:50 -0400
committerBen Sima <ben@bsima.me>2021-05-16 09:44:50 -0400
commitf6d682b088538e3797e6826213335ebe8341aa8a (patch)
tree11bb0a36ccebb3af1b80d512daf625c9ce4f34e8 /goremote
parent3bd39549493d3edcb337b6f5c4aa13c62944da7f (diff)
add goremote script
Diffstat (limited to 'goremote')
-rwxr-xr-xgoremote22
1 files changed, 22 insertions, 0 deletions
diff --git a/goremote b/goremote
new file mode 100755
index 0000000..30b4845
--- /dev/null
+++ b/goremote
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+repos=(~/org ~/bin ~/cfg ~/dot-emacs)
+
+echo "pushing lithium"
+ssh -qt ben@dev.simatime.com <<'EOF'
+for r in ${repos[@]}
+do
+ git -C $r push
+done
+EOF
+
+echo "pulling"
+for r in ${repos[@]}
+do
+ git -C $r fetch
+done
+
+# maybe:
+nix-channel --update
+NIX_PATH=$HOME/.nix-defexpr/channels${NIX_PATH:+:}$NIX_PATH home-manager switch